function [wt,z_opt,Pc_opt] = getWt(zs,beta,vt,mt,gamma,alpha,R,t,kappa,pow)
% derive oMCD's confidence threshold given current value representation

% Pcz = getPc(zs,beta,vt,mt,gamma,0); % expected confidence
% evc = R.*Pcz - alpha.*zs; % EVC
% iz_opt = find(evc==max(evc),1);
% Pc_opt = Pcz(iz_opt);
% z_opt = zs(iz_opt);
% wt = Pc_opt - alpha.*z_opt/R;


% function [wt,z_opt,Pc_opt] = getWt(zs,beta,vt,mt,gamma,alpha,R,t,kappa,pow)
% derive oMCD's confidence threshold given current value representation
try,pow;catch,pow=1;end
Pcz = getPc(zs,beta,vt,mt,gamma,0); % expected confidence
evc = R.*Pcz - alpha.*(zs+t*kappa).^pow; % EVC
iz_opt = find(evc==max(evc),1);
Pc_opt = Pcz(iz_opt);
z_opt = zs(iz_opt);
if pow==1
    wt = Pc_opt - (alpha/R).*z_opt;
else
    wt = Pc_opt - (alpha/R).*((z_opt+kappa*t).^pow - (kappa*t).^pow);
end