function emvt = get_EmaxVC(m0,v0,beta,gamma,alpha,Kappa,R,pow,T)

Nmc = 1e2;
e = sqrt(2*gamma*Kappa)*randn(Nmc,T);
admut = abs(diff(m0) + cumsum(e,2));
vt = 1./((1./mean(v0)) + beta.*Kappa*[1:T]);
Pct = sig(pi*admut./sqrt(6*repmat(vt,Nmc,1)));
vct = R*Pct - alpha*(Kappa*repmat([1:T],Nmc,1)).^pow;
emvt = mean(max(vct(:,1:T),[],2));

% emvt = NaN(1,T);
% for t=1:T
%     emvt(t) = mean(max(vct(:,t:T),[],2));
% end

