function Pbetter = get_Pimprove(m0,v0,beta,gamma,alpha,Kappa,R,pow,T,vc0)

Nmc = 1e3;
e = sqrt(2*gamma*Kappa)*randn(Nmc,T);
admut = abs(diff(m0) + cumsum(e,2));
vt = 1./((1./mean(v0)) + beta.*Kappa*[1:T]);
Pct = sig(pi*admut./sqrt(6*repmat(vt,Nmc,1)));
vct = R*Pct - alpha*(Kappa*repmat([1:T],Nmc,1)).^pow;

Pbetter = mean(vct>vc0,1); % P(vct(t)>vc0|t)




% emvt = NaN(1,T);
% for t=1:T
%     emvt(t) = mean(max(vct(:,t:T),[],2));
% end

